Summary:	Two-factor authentication meets port knocking
Name:		nf2fa
Version:	1.0.2
Release:	1
License:	GPLv3+
Group:		Applications/Internet
Source:		http://kernel.embedromix.ro/us/nf2fa/%{name}-%{version}.tar.gz
URL:		http://kernel.embedromix.ro/us/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	make, gcc, openssl-devel, libnetfilter_queue-devel
BuildRequires:	libmnl-devel, qrencode-devel, libcap-devel
Requires:	openssl-libs, libnetfilter_queue, libmnl, qrencode-libs, libcap

%global _hardened_build 1

%description
Open firewall from an IP using two-factor authentication (2fa).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%systemd_post nf2fa.service

%preun
%systemd_preun nf2fa.service

%postun
%systemd_postun_with_restart nf2fa.service

%files
%attr (-,root,root)
%{_sbindir}/nf2fad
%{_bindir}/nf2fac
%{_sysconfdir}/nf2fa.conf.sample
%config(noreplace) /etc/nf2fa.conf
%{_unitdir}/nf2fa.service
%doc README Changelog

%changelog
* Sun Feb 11 2018 Catalin(ux) M. BOIE <catab at embedromix dot ro> 1.0.0
First release
